﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
    <link href="styles.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <telerik:RadFormDecorator ID="QsfFromDecorator" runat="server" DecoratedControls="All" EnableRoundedCorners="false" />

        <div class="qsf-demo-canvas">
            <telerik:RadAsyncUpload runat="server" ID="RadAsyncUpload1" MultipleFileSelection="Automatic" DropZones=".DropZone1,#DropZone2" />

            <div class="DropZone1">
                <p>Custom Drop Zone</p>
                <p>Drop Files Here</p>
            </div>
            <div id="DropZone2">
                <p>Custom Drop Zone</p>
                <p>Drop Files Here</p>
            </div>
        </div>

        <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
            <script type="text/javascript">
                //<![CDATA[
                var $ = $telerik.$;
                function pageLoad() {
                    if (!Telerik.Web.UI.RadAsyncUpload.Modules.FileApi.isAvailable()) {
                        $(".qsf-demo-canvas").html("<strong>Your browser does not support Drag and Drop. Please take a look at the info box for additional information.</strong>");
                    }
                    else {
                        $(document).bind({ "drop": function (e) { e.preventDefault(); } });

                        var dropZone1 = $(document).find(".DropZone1");
                        dropZone1.bind({ "dragenter": function (e) { dragEnterHandler(e, dropZone1); } })
                                 .bind({ "dragleave": function (e) { dragLeaveHandler(e, dropZone1); } })
                                 .bind({ "drop": function (e) { dropHandler(e, dropZone1); } });

                        var dropZone2 = $(document).find("#DropZone2");
                        dropZone2.bind({ "dragenter": function (e) { dragEnterHandler(e, dropZone2); } })
                                 .bind({ "dragleave": function (e) { dragLeaveHandler(e, dropZone2); } })
                                 .bind({ "drop": function (e) { dropHandler(e, dropZone2); } });
                    }
                }

                function dropHandler(e, dropZone) {
                    dropZone[0].style.backgroundColor = "#357A2B";
                }

                function dragEnterHandler(e, dropZone) {
                    var dt = e.originalEvent.dataTransfer;
                    var isFile = (dt.types != null && (dt.types.indexOf ? dt.types.indexOf('Files') != -1 : dt.types.contains('application/x-moz-file')));
                    if (isFile || $telerik.isSafari5 || $telerik.isIE10Mode || $telerik.isOpera)
                        dropZone[0].style.backgroundColor = "#000000";
                }

                function dragLeaveHandler(e, dropZone) {
                    if (!$telerik.isMouseOverElement(dropZone[0], e.originalEvent))
                        dropZone[0].style.backgroundColor = "#357A2B";
                }

                //]]>
            </script>
        </telerik:RadScriptBlock>

    </form>
</body>
</html>
